Public Member Functions | Protected Member Functions | Related Functions

# Clutter::DeviceManager Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::DeviceManager:
[legend]

List of all members.

## Public Member Functions
virtual | ~DeviceManager ()
ClutterDeviceManager* | gobj ()
| Provides access to the underlying C GObject.
const ClutterDeviceManager* | gobj () const
| Provides access to the underlying C GObject.
ClutterDeviceManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< DeviceManager > | get_default ()
std::vector< Glib::RefPtr < InputDevice > > | list_devices ()
| Lists all currently registered input devices.
std::vector< Glib::RefPtr < const InputDevice > > | list_devices () const
Glib::RefPtr< InputDevice > | get_device (int device_id)
| Retrieves the Clutter::InputDevice with the given device_id.
Glib::RefPtr< const InputDevice > | get_device (int device_id) const
| Retrieves the Clutter::InputDevice with the given device_id.
Glib::RefPtr< InputDevice > | get_core_device (InputDeviceType device_type)
| Retrieves the core Clutter::InputDevice of type device_type.
Glib::RefPtr< const InputDevice > | get_core_device (InputDeviceType device_type) const
| Retrieves the core Clutter::InputDevice of type device_type.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Backend > > | property_backend () const
| The ClutterBackend of the device manager.
## Protected Member Functions
| DeviceManager ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Clutter::DeviceManager > | wrap (ClutterDeviceManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::DeviceManager::~DeviceManager | ( |  | ) | `[virtual]`

Clutter::DeviceManager::DeviceManager | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<InputDevice> Clutter::DeviceManager::get_core_device | ( | InputDeviceType | device_type | ) |

Retrieves the core Clutter::InputDevice of type device_type.

Core devices are devices created automatically by the default Clutter backend

Since cluttermm 1.2:

Parameters:

  | device_type | The type of the core device.

Returns:
  A Clutter::InputDevice or `0`. The returned device is owned by the Clutter::DeviceManager and should not be modified or freed.

Glib::RefPtr<const InputDevice> Clutter::DeviceManager::get_core_device | ( | InputDeviceType | device_type | ) | const

Retrieves the core Clutter::InputDevice of type device_type.

Core devices are devices created automatically by the default Clutter backend

Since cluttermm 1.2:

Parameters:

  | device_type | The type of the core device.

Returns:
  A Clutter::InputDevice or `0`. The returned device is owned by the Clutter::DeviceManager and should not be modified or freed.

Glib::RefPtr<DeviceManager> Clutter::DeviceManager::get_default | ( |  | ) |

Glib::RefPtr<const InputDevice> Clutter::DeviceManager::get_device | ( | int | device_id | ) | const

Retrieves the Clutter::InputDevice with the given device_id.

Since cluttermm 1.2:

Parameters:

  | device_id | The integer id of a device.

Returns:
  A Clutter::InputDevice or `0`. The returned device is owned by the Clutter::DeviceManager and should never be modified or freed.

Glib::RefPtr<InputDevice> Clutter::DeviceManager::get_device | ( | int | device_id | ) |

Retrieves the Clutter::InputDevice with the given device_id.

Since cluttermm 1.2:

Parameters:

  | device_id | The integer id of a device.

Returns:
  A Clutter::InputDevice or `0`. The returned device is owned by the Clutter::DeviceManager and should never be modified or freed.

ClutterDeviceManager* Clutter::DeviceManager::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const ClutterDeviceManager* Clutter::DeviceManager::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterDeviceManager* Clutter::DeviceManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

std::vector<Glib::RefPtr<const InputDevice> > Clutter::DeviceManager::list_devices | ( |  | ) | const

std::vector<Glib::RefPtr<InputDevice> > Clutter::DeviceManager::list_devices | ( |  | ) |

Lists all currently registered input devices.

Since cluttermm 1.2:

Returns:
  A newly allocated list of Clutter::InputDevice objects. Use Glib::slist_free() to deallocate it when done.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Backend> > Clutter::DeviceManager::property_backend | ( |  | ) | const

The ClutterBackend of the device manager.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::DeviceManager > wrap | ( | ClutterDeviceManager * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/device-manager.h